#include <iostream>
using namespace std;
int zbir(int broj)
{
    int p;
    for (int i = 1; i<=broj;i++)
    {
        p+=i;
    }
    return p;
}
int minpotrebnoban(int brojucenika,int grupa)
{
    int rez = 0;
    int niz[grupa];
    int sadasnje;
    int ostalo;
    if (grupa == 1)
    {
        for (int k = 1; k<=brojucenika;k++)
        {
            rez+=k;
        }

        return rez;
    }
    if (brojucenika==grupa)
    {
        return brojucenika;
    }
    if (brojucenika == grupa+1)
    {
        return 3+grupa-1;
    }
    sadasnje = brojucenika/grupa;
    ostalo = brojucenika-sadasnje;
    niz[0]=sadasnje;
    for (int i = 1; i<grupa; i++)
    {
        if (i==grupa-1)
        {
            niz[i] = ostalo;
            break;
        }
        sadasnje = ostalo/grupa;
        ostalo = ostalo-sadasnje;
        niz[i]==sadasnje;
    }
    for (int s = 0; s<grupa;s++)
    {

        rez+=zbir(niz[s]);
    }
    return rez;


}

int main()
{
    int t;
    int brojucenika;
    int krembananica;
    int grupa;
    cin >> t;
    string rez[t];
    for (int i = 0; i<t;i++)
    {
        cin >> brojucenika >> krembananica >> grupa;
        if (minpotrebnoban(brojucenika,grupa)<=krembananica)
        {
            rez[i]="Tak";

        }
        else
        {
            rez[i]="Nie";
        }
    }

    for (int k = 0; k<t;k++)
    {
        cout << rez[k]<<endl;
    }
}